<link rel="import" href="../../../html/polymer.html">

<link rel="import" href="../../../html/i18n_behavior.html">
<link rel="import" href="base_page.html">
<link rel="import" href="cellular_setup_delegate.html">
<link rel="import" href="../../../cr_elements/hidden_style_css.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-flex-layout/iron-flex-layout-classes.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-spinner/paper-spinner-lite.html">

<dom-module id="setup-loading-page">
  <template>
    <style include="iron-flex cr-hidden-style">
      #error-icon-container {
        background-image: -webkit-image-set(
            url(error_1x.png) 1x,
            url(error_2x.png) 2x);
        background-position: center center;
        background-repeat: no-repeat;
        background-size: contain;
        height: 100%;
        width: 100%;
      }

      #network-connection-message {
        text-align: center;
      }
    </style>
    <base-page title="[[getTitle_(showError)]]"
        message="[[getMessage_(showError)]]">
      <div slot="page-body" class="layout horizontal center-center">
        <!-- TODO(crbug.com/1093185): Conditionally show spinner when setup is added in OOBE -->
        <div id="network-connection-message" hidden$="[[showError]]">
          [[loadingMessage]]
        </div>
        <div id="error-icon-container" hidden$="[[!showError]]"></div>
      </div>
    </base-page>
  </template>
  <script src="setup_loading_page.js"></script>
</dom-module>
